<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/proto/EnPhysics.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.18.155069</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d1/d13/_en_physics_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">EnPhysics.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d1/d13/_en_physics_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:d5/d43/class_physics_geom_def"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#d5/d43/class_physics_geom_def">PhysicsGeomDef</a></td></tr>
<tr class="separator:d5/d43/class_physics_geom_def"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dd/d2a/class_contact"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#dd/d2a/class_contact">Contact</a></td></tr>
<tr class="separator:dd/d2a/class_contact"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:ga9ca13b27dc56ce2e9000b2559caac2a6"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/group___physics.html#ga9ca13b27dc56ce2e9000b2559caac2a6">dGeom</a></td></tr>
<tr class="separator:ga9ca13b27dc56ce2e9000b2559caac2a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6d47f47008739e6c80167e43e17ab1bf"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a></td></tr>
<tr class="separator:ga6d47f47008739e6c80167e43e17ab1bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad51c7e632eea3484979c15b45b72b9e8"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/group___physics.html#gad51c7e632eea3484979c15b45b72b9e8">dBlock</a></td></tr>
<tr class="separator:gad51c7e632eea3484979c15b45b72b9e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1b6b76a37b2bf8682bc7f76ecde89554"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga1b6b76a37b2bf8682bc7f76ecde89554">dMaterial</a></td></tr>
<tr class="separator:ga1b6b76a37b2bf8682bc7f76ecde89554"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="enum-members" name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gaefc8378ef88030349d44d0da88a3a834"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaefc8378ef88030349d44d0da88a3a834">ActiveState</a> { <a class="el" href="../../d7/d1e/group___rigid_body.html#ggaefc8378ef88030349d44d0da88a3a834a33cf1d8ef1d06ee698a7fabf40eb3a7f">ACTIVE</a>
, <a class="el" href="../../d7/d1e/group___rigid_body.html#ggaefc8378ef88030349d44d0da88a3a834a3ff8ba88da6f8947ab7c22b7825c6bb6">INACTIVE</a>
, <a class="el" href="../../d7/d1e/group___rigid_body.html#ggaefc8378ef88030349d44d0da88a3a834ad468937383ff5cbd3e39d3086a6548ee">ALWAYS_ACTIVE</a>
 }</td></tr>
<tr class="memdesc:gaefc8378ef88030349d44d0da88a3a834"><td class="mdescLeft">&#160;</td><td class="mdescRight">state of a rigidbody  <a href="../../d7/d1e/group___rigid_body.html#gaefc8378ef88030349d44d0da88a3a834">More...</a><br /></td></tr>
<tr class="separator:gaefc8378ef88030349d44d0da88a3a834"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga77740ca4f7083ed345d5cd58f7f554b4"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/group___physics.html#ga77740ca4f7083ed345d5cd58f7f554b4">dGetNumDynamicBodies</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEnt)</td></tr>
<tr class="separator:ga77740ca4f7083ed345d5cd58f7f554b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6fa53808f11b0471061c1dff118dcd33"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/group___physics.html#ga6fa53808f11b0471061c1dff118dcd33">dGetDynamicBody</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEnt, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index)</td></tr>
<tr class="separator:ga6fa53808f11b0471061c1dff118dcd33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3007d9f8bc34470b0c8bda12778cd4fc"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/group___physics.html#ga3007d9f8bc34470b0c8bda12778cd4fc">dSetInteractionLayer</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEntity, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mask1, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mask2, <a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:ga3007d9f8bc34470b0c8bda12778cd4fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac68959b19fe7df8564247187a1104d98"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/group___physics.html#gac68959b19fe7df8564247187a1104d98">dGetGravity</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEntity)</td></tr>
<tr class="memdesc:gac68959b19fe7df8564247187a1104d98"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets global gravity.  <a href="../../d5/d74/group___physics.html#gac68959b19fe7df8564247187a1104d98">More...</a><br /></td></tr>
<tr class="separator:gac68959b19fe7df8564247187a1104d98"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafb944654295126ea460f51078c4b425a"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/group___physics.html#gafb944654295126ea460f51078c4b425a">dSetGravity</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEntity, <a class="el" href="../../d7/dfc/classvector.html">vector</a> g)</td></tr>
<tr class="memdesc:gafb944654295126ea460f51078c4b425a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes global gravity.  <a href="../../d5/d74/group___physics.html#gafb944654295126ea460f51078c4b425a">More...</a><br /></td></tr>
<tr class="separator:gafb944654295126ea460f51078c4b425a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf59ae1af8d80fe6ba4f5eb424ffc91f5"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d74/group___physics.html#gaf59ae1af8d80fe6ba4f5eb424ffc91f5">dSetTimeSlice</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEntity, <a class="el" href="../../d4/dc3/classfloat.html">float</a> timeSlice)</td></tr>
<tr class="memdesc:gaf59ae1af8d80fe6ba4f5eb424ffc91f5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changes fixed time-slice. Default is 1/40, thus simulation runs on 40fps. With smaller values, there is more precise simulation.  <a href="../../d5/d74/group___physics.html#gaf59ae1af8d80fe6ba4f5eb424ffc91f5">More...</a><br /></td></tr>
<tr class="separator:gaf59ae1af8d80fe6ba4f5eb424ffc91f5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9c7220798b0796d96b0e9e1bd72cdaed"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga9c7220798b0796d96b0e9e1bd72cdaed">dBodyCreateStaticEx</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/d1e/group___rigid_body.html#d5/d43/class_physics_geom_def">PhysicsGeomDef</a> geoms[])</td></tr>
<tr class="separator:ga9c7220798b0796d96b0e9e1bd72cdaed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga382d1382e9d220ae2ce2c7b33b2abba9"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga382d1382e9d220ae2ce2c7b33b2abba9">dBodyCreateGhostEx</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/d1e/group___rigid_body.html#d5/d43/class_physics_geom_def">PhysicsGeomDef</a> geoms[])</td></tr>
<tr class="separator:ga382d1382e9d220ae2ce2c7b33b2abba9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa324165b985fa1639addae012bdad502"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaa324165b985fa1639addae012bdad502">dBodyCreateDynamicEx</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/dfc/classvector.html">vector</a> centerOfMass, <a class="el" href="../../d4/dc3/classfloat.html">float</a> mass, <a class="el" href="../../d7/d1e/group___rigid_body.html#d5/d43/class_physics_geom_def">PhysicsGeomDef</a> geoms[])</td></tr>
<tr class="separator:gaa324165b985fa1639addae012bdad502"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga589e6f79b9104a9689589cb63c26f259"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga589e6f79b9104a9689589cb63c26f259">dBodyDestroy</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="memdesc:ga589e6f79b9104a9689589cb63c26f259"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroys attached physics body.  <a href="../../d7/d1e/group___rigid_body.html#ga589e6f79b9104a9689589cb63c26f259">More...</a><br /></td></tr>
<tr class="separator:ga589e6f79b9104a9689589cb63c26f259"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaec263f7d455170ec5aa2fedd6c62d0ef"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaec263f7d455170ec5aa2fedd6c62d0ef">dBodyIsSet</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="memdesc:gaec263f7d455170ec5aa2fedd6c62d0ef"><td class="mdescLeft">&#160;</td><td class="mdescRight">Has the entity attached physics body?  <a href="../../d7/d1e/group___rigid_body.html#gaec263f7d455170ec5aa2fedd6c62d0ef">More...</a><br /></td></tr>
<tr class="separator:gaec263f7d455170ec5aa2fedd6c62d0ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9d0121f8b092b282d9750fa6f69112ce"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga9d0121f8b092b282d9750fa6f69112ce">dBodySetInteractionLayer</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mask)</td></tr>
<tr class="separator:ga9d0121f8b092b282d9750fa6f69112ce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff315d5521838a4c9e477fd06e956d0d"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaff315d5521838a4c9e477fd06e956d0d">dBodyGetInteractionLayer</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:gaff315d5521838a4c9e477fd06e956d0d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae103a72d7543089b3107cf593b4372b8"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gae103a72d7543089b3107cf593b4372b8">dBodySetGeomInteractionLayer</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> mask)</td></tr>
<tr class="separator:gae103a72d7543089b3107cf593b4372b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4fc15e4db0d946ed860030eeadd6dc3d"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga4fc15e4db0d946ed860030eeadd6dc3d">dBodyGetGeomInteractionLayer</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> index)</td></tr>
<tr class="separator:ga4fc15e4db0d946ed860030eeadd6dc3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga699b9ff8b31798bbcbe6c34bdbb1db01"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga699b9ff8b31798bbcbe6c34bdbb1db01">dBodyActive</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/d1e/group___rigid_body.html#gaefc8378ef88030349d44d0da88a3a834">ActiveState</a> activeState)</td></tr>
<tr class="separator:ga699b9ff8b31798bbcbe6c34bdbb1db01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga72544adaa28ff93ce0635463f880a233"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga72544adaa28ff93ce0635463f880a233">dBodyDynamic</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d9/db9/classbool.html">bool</a> dynamic)</td></tr>
<tr class="separator:ga72544adaa28ff93ce0635463f880a233"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea05a509e9ac3adf302e8bc35a6a619e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaea05a509e9ac3adf302e8bc35a6a619e">dBodyIsDynamic</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:gaea05a509e9ac3adf302e8bc35a6a619e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6c16eb476b8460d50e036a4fcb386ab2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga6c16eb476b8460d50e036a4fcb386ab2">dBodyIsActive</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:ga6c16eb476b8460d50e036a4fcb386ab2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga044301051ad7c0e408a52ef6dee0d4cf"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga044301051ad7c0e408a52ef6dee0d4cf">dBodyEnableGravity</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d9/db9/classbool.html">bool</a> enable)</td></tr>
<tr class="separator:ga044301051ad7c0e408a52ef6dee0d4cf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ca073e5b606d711014febbd07db0967"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga6ca073e5b606d711014febbd07db0967">dBodySetDamping</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d4/dc3/classfloat.html">float</a> linearDamping, <a class="el" href="../../d4/dc3/classfloat.html">float</a> angularDamping)</td></tr>
<tr class="separator:ga6ca073e5b606d711014febbd07db0967"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45752e0f039d453b85074015ffc12e32"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga45752e0f039d453b85074015ffc12e32">dBodySetSleepingTreshold</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d4/dc3/classfloat.html">float</a> linearTreshold, <a class="el" href="../../d4/dc3/classfloat.html">float</a> angularTreshold)</td></tr>
<tr class="separator:ga45752e0f039d453b85074015ffc12e32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2466a44f125004d2a52bb31eba560047"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga2466a44f125004d2a52bb31eba560047">dBodyEnableCCD</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d4/dc3/classfloat.html">float</a> maxMotion, <a class="el" href="../../d4/dc3/classfloat.html">float</a> sphereCastRadius)</td></tr>
<tr class="separator:ga2466a44f125004d2a52bb31eba560047"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac06a7db4f9b7b14ee4b85ec21ff9dbbb"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gac06a7db4f9b7b14ee4b85ec21ff9dbbb">dBodySetLinearFactor</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> linearFactor)</td></tr>
<tr class="separator:gac06a7db4f9b7b14ee4b85ec21ff9dbbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab28243e4f5adbb163ef21fba5fa1b447"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gab28243e4f5adbb163ef21fba5fa1b447">dBodyGetCenterOfMass</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body)</td></tr>
<tr class="memdesc:gab28243e4f5adbb163ef21fba5fa1b447"><td class="mdescLeft">&#160;</td><td class="mdescRight">returns center of mass offset  <a href="../../d7/d1e/group___rigid_body.html#gab28243e4f5adbb163ef21fba5fa1b447">More...</a><br /></td></tr>
<tr class="separator:gab28243e4f5adbb163ef21fba5fa1b447"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3e827787960ad4f9fd63618e6bf20e8a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga3e827787960ad4f9fd63618e6bf20e8a">GetVelocity</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="memdesc:ga3e827787960ad4f9fd63618e6bf20e8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns linear velocity.  <a href="../../d7/d1e/group___rigid_body.html#ga3e827787960ad4f9fd63618e6bf20e8a">More...</a><br /></td></tr>
<tr class="separator:ga3e827787960ad4f9fd63618e6bf20e8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab9244ca8d1de57dba81894e9aba2a8e0"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gab9244ca8d1de57dba81894e9aba2a8e0">SetVelocity</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/dfc/classvector.html">vector</a> vel)</td></tr>
<tr class="memdesc:gab9244ca8d1de57dba81894e9aba2a8e0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets linear velocity (for Rigid bodies)  <a href="../../d7/d1e/group___rigid_body.html#gab9244ca8d1de57dba81894e9aba2a8e0">More...</a><br /></td></tr>
<tr class="separator:gab9244ca8d1de57dba81894e9aba2a8e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf690c302d36e8d64edb7834a8a1c5ff2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#gad51c7e632eea3484979c15b45b72b9e8">dBlock</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaf690c302d36e8d64edb7834a8a1c5ff2">dBodyCollisionBlock</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent1, notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent2)</td></tr>
<tr class="memdesc:gaf690c302d36e8d64edb7834a8a1c5ff2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disables collisions between two entities.  <a href="../../d7/d1e/group___rigid_body.html#gaf690c302d36e8d64edb7834a8a1c5ff2">More...</a><br /></td></tr>
<tr class="separator:gaf690c302d36e8d64edb7834a8a1c5ff2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf804d87d50d087bd31e7ab7c2daf6035"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaf804d87d50d087bd31e7ab7c2daf6035">dBodyRemoveBlock</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> worldEntity, <a class="el" href="../../d5/d74/group___physics.html#gad51c7e632eea3484979c15b45b72b9e8">dBlock</a> block)</td></tr>
<tr class="separator:gaf804d87d50d087bd31e7ab7c2daf6035"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8da8a1fba2752af44237345afa2f076"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaa8da8a1fba2752af44237345afa2f076">dBodySetInertiaTensorV</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> v)</td></tr>
<tr class="separator:gaa8da8a1fba2752af44237345afa2f076"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac999d23998a6539e08426417ca7f5fc6"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gac999d23998a6539e08426417ca7f5fc6">dBodySetInertiaTensorM</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> m[3])</td></tr>
<tr class="separator:gac999d23998a6539e08426417ca7f5fc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3a2d3417a11ec522125988e84c735b4"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gad3a2d3417a11ec522125988e84c735b4">dBodyGetMass</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:gad3a2d3417a11ec522125988e84c735b4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaafbe7059b29e7827e4edddb6c3f2f716"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaafbe7059b29e7827e4edddb6c3f2f716">dBodySetMass</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d4/dc3/classfloat.html">float</a> mass)</td></tr>
<tr class="separator:gaafbe7059b29e7827e4edddb6c3f2f716"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga34c4f07815af905e446d3b3b298d2942"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga34c4f07815af905e446d3b3b298d2942">dBodyApplyTorqueImpulse</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/dfc/classvector.html">vector</a> torqueImpulse)</td></tr>
<tr class="separator:ga34c4f07815af905e446d3b3b298d2942"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac9b723b8124b2654a9609004c7e9ecb2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gac9b723b8124b2654a9609004c7e9ecb2">dBodyGetInvInertiaDiagLocal</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:gac9b723b8124b2654a9609004c7e9ecb2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8feced83721cde87b5107824502a4c1e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga8feced83721cde87b5107824502a4c1e">dBodyComputeImpulseDenominator</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/dfc/classvector.html">vector</a> position, <a class="el" href="../../d7/dfc/classvector.html">vector</a> normal)</td></tr>
<tr class="separator:ga8feced83721cde87b5107824502a4c1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadbd3cda121ca39e269ec2285b9d59151"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gadbd3cda121ca39e269ec2285b9d59151">dBodyComputeAngularImpulseDenominator</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d7/dfc/classvector.html">vector</a> axis)</td></tr>
<tr class="separator:gadbd3cda121ca39e269ec2285b9d59151"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa99a746dc76e98920ea85a4ecf434edb"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaa99a746dc76e98920ea85a4ecf434edb">dBodyGetLocalInertia</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:gaa99a746dc76e98920ea85a4ecf434edb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6d019d47304aabb84afc7276d401269a"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga6d019d47304aabb84afc7276d401269a">dBodyGetInvInertiaTensorWorld</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, out <a class="el" href="../../d7/dfc/classvector.html">vector</a> inertiaTensorWS[3])</td></tr>
<tr class="separator:ga6d019d47304aabb84afc7276d401269a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9c947b6725a2f3a97c27c8fd2f6d2843"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga9c947b6725a2f3a97c27c8fd2f6d2843">dBodyApplyImpulseAt</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> <a class="el" href="../../d5/d71/_car_script_8c.html#ac7155760e2c3ffcfabfb37cd74809825">impulse</a>, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pos)</td></tr>
<tr class="memdesc:ga9c947b6725a2f3a97c27c8fd2f6d2843"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies impuls on a pos position in world coordinates.  <a href="../../d7/d1e/group___rigid_body.html#ga9c947b6725a2f3a97c27c8fd2f6d2843">More...</a><br /></td></tr>
<tr class="separator:ga9c947b6725a2f3a97c27c8fd2f6d2843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7177f6588e2de1684e285e53f63ad300"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga7177f6588e2de1684e285e53f63ad300">dBodyApplyImpulse</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> <a class="el" href="../../d5/d71/_car_script_8c.html#ac7155760e2c3ffcfabfb37cd74809825">impulse</a>)</td></tr>
<tr class="memdesc:ga7177f6588e2de1684e285e53f63ad300"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies impuls on a rigidbody (origin)  <a href="../../d7/d1e/group___rigid_body.html#ga7177f6588e2de1684e285e53f63ad300">More...</a><br /></td></tr>
<tr class="separator:ga7177f6588e2de1684e285e53f63ad300"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaee159dad70841eb973ee00c1036d85e4"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaee159dad70841eb973ee00c1036d85e4">dBodyApplyForce</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> force)</td></tr>
<tr class="memdesc:gaee159dad70841eb973ee00c1036d85e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies constant force on a rigidbody (origin)  <a href="../../d7/d1e/group___rigid_body.html#gaee159dad70841eb973ee00c1036d85e4">More...</a><br /></td></tr>
<tr class="separator:gaee159dad70841eb973ee00c1036d85e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf970d5fa1837edf7b2dcc310dc94e0ea"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaf970d5fa1837edf7b2dcc310dc94e0ea">dBodyApplyForceAt</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> pos, <a class="el" href="../../d7/dfc/classvector.html">vector</a> force)</td></tr>
<tr class="memdesc:gaf970d5fa1837edf7b2dcc310dc94e0ea"><td class="mdescLeft">&#160;</td><td class="mdescRight">Applies constant force on a position.  <a href="../../d7/d1e/group___rigid_body.html#gaf970d5fa1837edf7b2dcc310dc94e0ea">More...</a><br /></td></tr>
<tr class="separator:gaf970d5fa1837edf7b2dcc310dc94e0ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga253a085d1491d8a8be72a8d97a1aaa2f"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga253a085d1491d8a8be72a8d97a1aaa2f">dBodyApplyTorque</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> torque)</td></tr>
<tr class="separator:ga253a085d1491d8a8be72a8d97a1aaa2f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaeb67acf9489482364efa03358027e249"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaeb67acf9489482364efa03358027e249">dBodyGetAngularVelocity</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body)</td></tr>
<tr class="memdesc:gaeb67acf9489482364efa03358027e249"><td class="mdescLeft">&#160;</td><td class="mdescRight">Gets angular velocity for a rigidbody.  <a href="../../d7/d1e/group___rigid_body.html#gaeb67acf9489482364efa03358027e249">More...</a><br /></td></tr>
<tr class="separator:gaeb67acf9489482364efa03358027e249"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3a4576902b69eeb29a06b3a5cc08767"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gad3a4576902b69eeb29a06b3a5cc08767">dBodySetAngularVelocity</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> angvel)</td></tr>
<tr class="memdesc:gad3a4576902b69eeb29a06b3a5cc08767"><td class="mdescLeft">&#160;</td><td class="mdescRight">Changed an angular velocity.  <a href="../../d7/d1e/group___rigid_body.html#gad3a4576902b69eeb29a06b3a5cc08767">More...</a><br /></td></tr>
<tr class="separator:gad3a4576902b69eeb29a06b3a5cc08767"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga54b2e970e58edf1d54c194281c6b8283"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga54b2e970e58edf1d54c194281c6b8283">dBodySetTargetMatrix</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix[4], <a class="el" href="../../d4/dc3/classfloat.html">float</a> timeslice)</td></tr>
<tr class="memdesc:ga54b2e970e58edf1d54c194281c6b8283"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sets target transformation. If timeslice == dt (simulation step delta time), it will happen in next step, otherwise in time = timeslice.  <a href="../../d7/d1e/group___rigid_body.html#ga54b2e970e58edf1d54c194281c6b8283">More...</a><br /></td></tr>
<tr class="separator:ga54b2e970e58edf1d54c194281c6b8283"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa977bf8020939588f44d1e3f1697e327"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#gaa977bf8020939588f44d1e3f1697e327">dBodyGetKineticEnergy</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body)</td></tr>
<tr class="separator:gaa977bf8020939588f44d1e3f1697e327"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga215665a4d6b653bdbc166ef8dad0d211"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/d1e/group___rigid_body.html#ga215665a4d6b653bdbc166ef8dad0d211">dBodyGetVelocityAt</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> body, <a class="el" href="../../d7/dfc/classvector.html">vector</a> globalpos)</td></tr>
<tr class="separator:ga215665a4d6b653bdbc166ef8dad0d211"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae939af78ac68f864f3db4bed60430fb6"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga9ca13b27dc56ce2e9000b2559caac2a6">dGeom</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3b/group___geometry.html#gae939af78ac68f864f3db4bed60430fb6">dGeomCreateBox</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> size)</td></tr>
<tr class="memdesc:gae939af78ac68f864f3db4bed60430fb6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates box geometry.  <a href="../../d2/d3b/group___geometry.html#gae939af78ac68f864f3db4bed60430fb6">More...</a><br /></td></tr>
<tr class="separator:gae939af78ac68f864f3db4bed60430fb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7bbd9bd5922a66e57e0f3392a0ee9877"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga9ca13b27dc56ce2e9000b2559caac2a6">dGeom</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3b/group___geometry.html#ga7bbd9bd5922a66e57e0f3392a0ee9877">dGeomCreateSphere</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> radius)</td></tr>
<tr class="memdesc:ga7bbd9bd5922a66e57e0f3392a0ee9877"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates sphere geometry.  <a href="../../d2/d3b/group___geometry.html#ga7bbd9bd5922a66e57e0f3392a0ee9877">More...</a><br /></td></tr>
<tr class="separator:ga7bbd9bd5922a66e57e0f3392a0ee9877"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8920b7769cc26c43b4df14b66954b627"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga9ca13b27dc56ce2e9000b2559caac2a6">dGeom</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3b/group___geometry.html#ga8920b7769cc26c43b4df14b66954b627">dGeomCreateCapsule</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, <a class="el" href="../../d7/dfc/classvector.html">vector</a> extent)</td></tr>
<tr class="memdesc:ga8920b7769cc26c43b4df14b66954b627"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates capsule geometry.  <a href="../../d2/d3b/group___geometry.html#ga8920b7769cc26c43b4df14b66954b627">More...</a><br /></td></tr>
<tr class="separator:ga8920b7769cc26c43b4df14b66954b627"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4f0d1d2d7f90c8f271d5ed06acd934d3"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga9ca13b27dc56ce2e9000b2559caac2a6">dGeom</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3b/group___geometry.html#ga4f0d1d2d7f90c8f271d5ed06acd934d3">dGeomCreateCylinder</a> (<a class="el" href="../../d4/dc3/classfloat.html">float</a> radius, <a class="el" href="../../d7/dfc/classvector.html">vector</a> extent)</td></tr>
<tr class="memdesc:ga4f0d1d2d7f90c8f271d5ed06acd934d3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates cylinder geometry.  <a href="../../d2/d3b/group___geometry.html#ga4f0d1d2d7f90c8f271d5ed06acd934d3">More...</a><br /></td></tr>
<tr class="separator:ga4f0d1d2d7f90c8f271d5ed06acd934d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae2838a3b8aba7ee3629e7dd2ce282efc"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3b/group___geometry.html#gae2838a3b8aba7ee3629e7dd2ce282efc">dGeomDestroy</a> (<a class="el" href="../../d5/d74/group___physics.html#ga9ca13b27dc56ce2e9000b2559caac2a6">dGeom</a> geom)</td></tr>
<tr class="memdesc:gae2838a3b8aba7ee3629e7dd2ce282efc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Destroys geometry.  <a href="../../d2/d3b/group___geometry.html#gae2838a3b8aba7ee3629e7dd2ce282efc">More...</a><br /></td></tr>
<tr class="separator:gae2838a3b8aba7ee3629e7dd2ce282efc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2f2ad2dcde7aeb9bef3575f48b14f4f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3b/group___geometry.html#gad2f2ad2dcde7aeb9bef3575f48b14f4f">dBodyGetGeom</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="separator:gad2f2ad2dcde7aeb9bef3575f48b14f4f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabf21e2b0d463c01925c54a8457281f96"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d2/d3b/group___geometry.html#gabf21e2b0d463c01925c54a8457281f96">dBodyGetNumGeoms</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent)</td></tr>
<tr class="separator:gabf21e2b0d463c01925c54a8457281f96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad801911f15421dfc5d320706fb44ed32"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gad801911f15421dfc5d320706fb44ed32">dJointCreateHinge</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent1, notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent2, <a class="el" href="../../d7/dfc/classvector.html">vector</a> point1, <a class="el" href="../../d7/dfc/classvector.html">vector</a> axis1, <a class="el" href="../../d7/dfc/classvector.html">vector</a> point2, <a class="el" href="../../d7/dfc/classvector.html">vector</a> axis2, <a class="el" href="../../d9/db9/classbool.html">bool</a> block, <a class="el" href="../../d4/dc3/classfloat.html">float</a> breakThreshold)</td></tr>
<tr class="separator:gad801911f15421dfc5d320706fb44ed32"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd45f260b96292a80cb47447a8e37059"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gafd45f260b96292a80cb47447a8e37059">dJointCreateHinge2</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent1, notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent2, <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix1[4], <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix2[4], <a class="el" href="../../d9/db9/classbool.html">bool</a> block, <a class="el" href="../../d4/dc3/classfloat.html">float</a> breakThreshold)</td></tr>
<tr class="separator:gafd45f260b96292a80cb47447a8e37059"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3282f6158f80597b22085671c6042a9a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga3282f6158f80597b22085671c6042a9a">dJointCreateSlider</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent1, notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent2, <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix1[4], <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix2[4], <a class="el" href="../../d9/db9/classbool.html">bool</a> block, <a class="el" href="../../d4/dc3/classfloat.html">float</a> breakThreshold)</td></tr>
<tr class="separator:ga3282f6158f80597b22085671c6042a9a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2f7ca9ca7817552d1d4a1c6006b306d5"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga2f7ca9ca7817552d1d4a1c6006b306d5">dJointCreateBallSocket</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent1, notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent2, <a class="el" href="../../d7/dfc/classvector.html">vector</a> point1, <a class="el" href="../../d7/dfc/classvector.html">vector</a> point2, <a class="el" href="../../d9/db9/classbool.html">bool</a> block, <a class="el" href="../../d4/dc3/classfloat.html">float</a> breakThreshold)</td></tr>
<tr class="separator:ga2f7ca9ca7817552d1d4a1c6006b306d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9c70ffc6dd18f2c5e9598183ffc6a90f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga9c70ffc6dd18f2c5e9598183ffc6a90f">dJointCreateFixed</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent1, notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent2, <a class="el" href="../../d7/dfc/classvector.html">vector</a> point1, <a class="el" href="../../d7/dfc/classvector.html">vector</a> point2, <a class="el" href="../../d9/db9/classbool.html">bool</a> block, <a class="el" href="../../d4/dc3/classfloat.html">float</a> breakThreshold)</td></tr>
<tr class="separator:ga9c70ffc6dd18f2c5e9598183ffc6a90f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga94a592f53a98f7d22b02c87cac42d32e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga94a592f53a98f7d22b02c87cac42d32e">dJointCreateConeTwist</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent1, notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent2, <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix1[4], <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix2[4], <a class="el" href="../../d9/db9/classbool.html">bool</a> block, <a class="el" href="../../d4/dc3/classfloat.html">float</a> breakThreshold)</td></tr>
<tr class="separator:ga94a592f53a98f7d22b02c87cac42d32e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e861a39fd97ab3668b3fc25bed138d2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga4e861a39fd97ab3668b3fc25bed138d2">dJointCreate6DOF</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent1, notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent2, <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix1[4], <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix2[4], <a class="el" href="../../d9/db9/classbool.html">bool</a> block, <a class="el" href="../../d4/dc3/classfloat.html">float</a> breakThreshold)</td></tr>
<tr class="separator:ga4e861a39fd97ab3668b3fc25bed138d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga51c15e86baad20c6a956f5a86138779c"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga51c15e86baad20c6a956f5a86138779c">dJointCreate6DOFSpring</a> (notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent1, notnull <a class="el" href="../../d3/d14/group___entity_attributes.html#dc/da9/class_i_entity">IEntity</a> ent2, <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix1[4], <a class="el" href="../../d7/dfc/classvector.html">vector</a> matrix2[4], <a class="el" href="../../d9/db9/classbool.html">bool</a> block, <a class="el" href="../../d4/dc3/classfloat.html">float</a> breakThreshold)</td></tr>
<tr class="separator:ga51c15e86baad20c6a956f5a86138779c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab4433c90dae6865c4357345136d2b0bc"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gab4433c90dae6865c4357345136d2b0bc">dJointDestroy</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint)</td></tr>
<tr class="separator:gab4433c90dae6865c4357345136d2b0bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa673e688dc98b8b3dbaabec4b95f4cd7"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gaa673e688dc98b8b3dbaabec4b95f4cd7">dJointHingeSetLimits</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> low, <a class="el" href="../../d4/dc3/classfloat.html">float</a> high, <a class="el" href="../../d4/dc3/classfloat.html">float</a> softness, <a class="el" href="../../d4/dc3/classfloat.html">float</a> biasFactor, <a class="el" href="../../d4/dc3/classfloat.html">float</a> relaxationFactor)</td></tr>
<tr class="separator:gaa673e688dc98b8b3dbaabec4b95f4cd7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac3d1eda26224a3196e22d32026084dd1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gac3d1eda26224a3196e22d32026084dd1">dJointHingeSetAxis</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d7/dfc/classvector.html">vector</a> axis)</td></tr>
<tr class="separator:gac3d1eda26224a3196e22d32026084dd1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga66428f826d91c50ddabd71267902daab"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga66428f826d91c50ddabd71267902daab">dJointHingeSetMotorTargetAngle</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> angle, <a class="el" href="../../d4/dc3/classfloat.html">float</a> dt, <a class="el" href="../../d4/dc3/classfloat.html">float</a> maxImpulse)</td></tr>
<tr class="separator:ga66428f826d91c50ddabd71267902daab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7c1f1ade706c5daf61aed2db9a4090f0"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga7c1f1ade706c5daf61aed2db9a4090f0">dJointConeTwistSetAngularOnly</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d9/db9/classbool.html">bool</a> angularOnly)</td></tr>
<tr class="separator:ga7c1f1ade706c5daf61aed2db9a4090f0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaacfd264eb5a233144544daef5c948e97"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gaacfd264eb5a233144544daef5c948e97">dJointConeTwistSetLimit</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> limitIndex, <a class="el" href="../../d4/dc3/classfloat.html">float</a> limitValue)</td></tr>
<tr class="separator:gaacfd264eb5a233144544daef5c948e97"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1a70a345d29300cd4b59d60fca13c67"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gad1a70a345d29300cd4b59d60fca13c67">dJointConeTwistSetLimits</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> _swingSpan1, <a class="el" href="../../d4/dc3/classfloat.html">float</a> _swingSpan2, <a class="el" href="../../d4/dc3/classfloat.html">float</a> _twistSpan, <a class="el" href="../../d4/dc3/classfloat.html">float</a> _softness, <a class="el" href="../../d4/dc3/classfloat.html">float</a> _biasFactor, <a class="el" href="../../d4/dc3/classfloat.html">float</a> _relaxationFactor)</td></tr>
<tr class="separator:gad1a70a345d29300cd4b59d60fca13c67"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc79ce3223518903b8b38bcb5a66eceb"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gabc79ce3223518903b8b38bcb5a66eceb">dJoint6DOFSetLinearLimits</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d7/dfc/classvector.html">vector</a> linearLower, <a class="el" href="../../d7/dfc/classvector.html">vector</a> linearUpper)</td></tr>
<tr class="separator:gabc79ce3223518903b8b38bcb5a66eceb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6ac8bf2ee8a31b9d909ceaa886242773"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga6ac8bf2ee8a31b9d909ceaa886242773">dJoint6DOFSetAngularLimits</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d7/dfc/classvector.html">vector</a> angularLower, <a class="el" href="../../d7/dfc/classvector.html">vector</a> angularUpper)</td></tr>
<tr class="separator:ga6ac8bf2ee8a31b9d909ceaa886242773"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac7139cd3cea4d5e126b4f7e36d244110"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gac7139cd3cea4d5e126b4f7e36d244110">dJoint6DOFSetLimit</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> axis, <a class="el" href="../../d4/dc3/classfloat.html">float</a> lo, <a class="el" href="../../d4/dc3/classfloat.html">float</a> hi)</td></tr>
<tr class="separator:gac7139cd3cea4d5e126b4f7e36d244110"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad4d141d3a9a52c72c8adc5c4dd1fddb6"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gad4d141d3a9a52c72c8adc5c4dd1fddb6">dJoint6DOFSpringSetSpring</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> axis, <a class="el" href="../../d4/dc3/classfloat.html">float</a> stiffness, <a class="el" href="../../d4/dc3/classfloat.html">float</a> damping)</td></tr>
<tr class="separator:gad4d141d3a9a52c72c8adc5c4dd1fddb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadd790fea57ba5df2ef85a6011682a6d1"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gadd790fea57ba5df2ef85a6011682a6d1">dJointSliderSetLinearLimits</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> lowerLimit, <a class="el" href="../../d4/dc3/classfloat.html">float</a> upperLimit)</td></tr>
<tr class="separator:gadd790fea57ba5df2ef85a6011682a6d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga11e2429a16d8eea81ca86cfe6e3f1abd"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga11e2429a16d8eea81ca86cfe6e3f1abd">dJointSliderSetAngularLimits</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> lowerLimit, <a class="el" href="../../d4/dc3/classfloat.html">float</a> upperLimit)</td></tr>
<tr class="separator:ga11e2429a16d8eea81ca86cfe6e3f1abd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga81f623660dbef689cae7730df177d913"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga81f623660dbef689cae7730df177d913">dJointSliderSetDirLinear</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> softness, <a class="el" href="../../d4/dc3/classfloat.html">float</a> restitution, <a class="el" href="../../d4/dc3/classfloat.html">float</a> damping)</td></tr>
<tr class="separator:ga81f623660dbef689cae7730df177d913"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0f3cfecafe0b1ddc67ae548d346ffb12"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga0f3cfecafe0b1ddc67ae548d346ffb12">dJointSliderSetDirAngular</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> softness, <a class="el" href="../../d4/dc3/classfloat.html">float</a> restitution, <a class="el" href="../../d4/dc3/classfloat.html">float</a> damping)</td></tr>
<tr class="separator:ga0f3cfecafe0b1ddc67ae548d346ffb12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1c525c188500062776d0c329a11f08b0"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga1c525c188500062776d0c329a11f08b0">dJointSliderSetLimLinear</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> softness, <a class="el" href="../../d4/dc3/classfloat.html">float</a> restitution, <a class="el" href="../../d4/dc3/classfloat.html">float</a> damping)</td></tr>
<tr class="separator:ga1c525c188500062776d0c329a11f08b0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ba99b9084ad11a45a22b16a9fb981b2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga8ba99b9084ad11a45a22b16a9fb981b2">dJointSliderSetLimAngular</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> softness, <a class="el" href="../../d4/dc3/classfloat.html">float</a> restitution, <a class="el" href="../../d4/dc3/classfloat.html">float</a> damping)</td></tr>
<tr class="separator:ga8ba99b9084ad11a45a22b16a9fb981b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga70f61d58ef4f0f1f337f101be5650b2d"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga70f61d58ef4f0f1f337f101be5650b2d">dJointSliderSetOrthoLinear</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> softness, <a class="el" href="../../d4/dc3/classfloat.html">float</a> restitution, <a class="el" href="../../d4/dc3/classfloat.html">float</a> damping)</td></tr>
<tr class="separator:ga70f61d58ef4f0f1f337f101be5650b2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab7da4dbde9a781648b7e8a303f8e07df"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gab7da4dbde9a781648b7e8a303f8e07df">dJointSliderSetOrthoAngular</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> softness, <a class="el" href="../../d4/dc3/classfloat.html">float</a> restitution, <a class="el" href="../../d4/dc3/classfloat.html">float</a> damping)</td></tr>
<tr class="separator:gab7da4dbde9a781648b7e8a303f8e07df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga14267bcc32afbfdd4450138af060c8fd"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga14267bcc32afbfdd4450138af060c8fd">dJointSliderSetLinearMotor</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> velocity, <a class="el" href="../../d4/dc3/classfloat.html">float</a> force)</td></tr>
<tr class="separator:ga14267bcc32afbfdd4450138af060c8fd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf863864a01011874b8dec8cd8f76e0b2"><td class="memItemLeft" align="right" valign="top">proto native void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#gaf863864a01011874b8dec8cd8f76e0b2">dJointSliderSetAngularMotor</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint, <a class="el" href="../../d4/dc3/classfloat.html">float</a> velocity, <a class="el" href="../../d4/dc3/classfloat.html">float</a> force)</td></tr>
<tr class="separator:gaf863864a01011874b8dec8cd8f76e0b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8b86f4bdf7ced98464455257d75cf2a4"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga8b86f4bdf7ced98464455257d75cf2a4">dJointSliderGetLinearPos</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint)</td></tr>
<tr class="separator:ga8b86f4bdf7ced98464455257d75cf2a4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7b83031ddfa4deb3018cff4e861e6fad"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d4e/group___constraints.html#ga7b83031ddfa4deb3018cff4e861e6fad">dJointSliderGetAngularPos</a> (<a class="el" href="../../d5/d74/group___physics.html#ga6d47f47008739e6c80167e43e17ab1bf">dJoint</a> joint)</td></tr>
<tr class="separator:ga7b83031ddfa4deb3018cff4e861e6fad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../dir_55f504f971b0759ce397ed6ea605b012.html">proto</a></li><li class="navelem"><a class="el" href="../../d1/d13/_en_physics_8c.html">EnPhysics.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
